Open CASCADE Technology: StlMesh_MeshDomain Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StlMesh_MeshDomain Class Reference

A mesh domain is a set of triangles defined with three geometric vertices and a given orientation. The mesh domain has its own deflection. Internal class used to classify the triangles of each domain. More...

`#include <StlMesh_MeshDomain.hxx>`

Inheritance diagram for StlMesh_MeshDomain:
[legend]

## Public Member Functions
| StlMesh_MeshDomain ()
| The mesh deflection is defaulted to Confusion from package Precision. More...
| StlMesh_MeshDomain (const Standard_Real Deflection)
| Raised if the deflection is lower than zero Raised if the deflection is lower than Confusion from package Precision. More...
virtual Standard_Integer | AddTriangle (const Standard_Integer V1, const Standard_Integer V2, const Standard_Integer V3, const Standard_Real Xn, const Standard_Real Yn, const Standard_Real Zn)
| Build a triangle with the triplet of vertices (V1, V2, V3). This triplet defines the indexes of the vertex in the current domain The coordinates Xn, Yn, Zn defines the normal direction to the triangle. Returns the range of the triangle in the current domain. More...
virtual Standard_Integer | AddVertex (const Standard_Real X, const Standard_Real Y, const Standard_Real Z)
| Returns the range of the vertex in the current domain. More...
virtual Standard_Integer | AddOnlyNewVertex (const Standard_Real X, const Standard_Real Y, const Standard_Real Z, Standard_Boolean &IsNew)
| Returns the range of the vertex in the current domain. The current vertex is not inserted in the mesh if it already exist. More...
virtual Standard_Real | Deflection () const
virtual Standard_Integer | NbTriangles () const
| Number of triangles in the mesh. More...
virtual Standard_Integer | NbVertices () const
| Number of vertices in the mesh. More...
virtual const StlMesh_SequenceOfMeshTriangle & | Triangles () const
| Returns the set of triangles of the current mesh domain. More...
virtual const TColgp_SequenceOfXYZ & | Vertices () const
| Returns the coordinates of the vertices of the mesh domain of range <DomainIndex>. {XV1, YV1, ZV1, XV2, YV2, ZV2, XV3,.....}. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

A mesh domain is a set of triangles defined with three geometric vertices and a given orientation. The mesh domain has its own deflection. Internal class used to classify the triangles of each domain.

## Constructor & Destructor Documentation

StlMesh_MeshDomain::StlMesh_MeshDomain | ( |  | ) |

The mesh deflection is defaulted to Confusion from package Precision.

StlMesh_MeshDomain::StlMesh_MeshDomain | ( | const Standard_Real | Deflection | ) |

Raised if the deflection is lower than zero Raised if the deflection is lower than Confusion from package Precision.

## Member Function Documentation

virtual Standard_Integer StlMesh_MeshDomain::AddOnlyNewVertex | ( | const Standard_Real | X,
|  | const Standard_Real | Y,
|  | const Standard_Real | Z,
|  | Standard_Boolean & | IsNew
| ) |  |
| virtual

Returns the range of the vertex in the current domain. The current vertex is not inserted in the mesh if it already exist.

virtual Standard_Integer StlMesh_MeshDomain::AddTriangle | ( | const Standard_Integer | V1,
|  | const Standard_Integer | V2,
|  | const Standard_Integer | V3,
|  | const Standard_Real | Xn,
|  | const Standard_Real | Yn,
|  | const Standard_Real | Zn
| ) |  |
| virtual

Build a triangle with the triplet of vertices (V1, V2, V3). This triplet defines the indexes of the vertex in the current domain The coordinates Xn, Yn, Zn defines the normal direction to the triangle. Returns the range of the triangle in the current domain.

virtual Standard_Integer StlMesh_MeshDomain::AddVertex | ( | const Standard_Real | X,
|  | const Standard_Real | Y,
|  | const Standard_Real | Z
| ) |  |
| virtual

Returns the range of the vertex in the current domain.

virtual Standard_Real StlMesh_MeshDomain::Deflection | ( |  | ) | const
| virtual

virtual Standard_Integer StlMesh_MeshDomain::NbTriangles | ( |  | ) | const
| virtual

Number of triangles in the mesh.

virtual Standard_Integer StlMesh_MeshDomain::NbVertices | ( |  | ) | const
| virtual

Number of vertices in the mesh.

virtual const StlMesh_SequenceOfMeshTriangle& StlMesh_MeshDomain::Triangles | ( |  | ) | const
| virtual

Returns the set of triangles of the current mesh domain.

virtual const TColgp_SequenceOfXYZ& StlMesh_MeshDomain::Vertices | ( |  | ) | const
| virtual

Returns the coordinates of the vertices of the mesh domain of range <DomainIndex>. {XV1, YV1, ZV1, XV2, YV2, ZV2, XV3,.....}.

The documentation for this class was generated from the following file:

- StlMesh_MeshDomain.hxx